2022 Developer Survey is open! Take survey.

Questions tagged [dpkg]

The base software for Debian/Ubuntu/Mint package management. Use this tag for questions about dpkg and its companion utilities and the .deb file format.

Filter by
Sorted by
Tagged with
0 votes
0 answers
12 views

The error message was : 'error:brokencount>0'. this usually means that your installed packages have unmet dependecies

I have tried sudo apt-get update (it is working fine) After that when i do sudo apt-get upgrade this error is displaying: Reading package lists... Done Building dependency tree Reading state ...
user avatar
6 votes
1 answer
259 views

Debian: "dpkg -l" name field sometimes includes arch/abi, sometimes not. Why?

(trimmed) dpkg -l output on a recent debian bullseye (v11.3) machine: SE Name Version Arch Description ii bind9-host 1:9.16.27-1~deb11u1 amd64 DNS Lookup Utility ii ...
user avatar
  • 88
0 votes
1 answer
26 views

I am uncertain of how to make a piece of code for installing steam give permission to changes

I've been trying to install steam through Linux to my Lenovo chromebook but every time i follow the codes i always end up running into this error. I don't know how to give permission and am really ...
user avatar
0 votes
0 answers
26 views

Stuck setting up a package as well as removing that package. Can't use apt now

So I have a .deb package downloaded. I installed it using sudo apt install ... but it didn't work correctly. I tried removing it using sudo apt purge ... and it said that it can't remove a few ...
user avatar
0 votes
1 answer
39 views

How to set a new version number in a .deb package I've built

I've just completed a simple source code modification & rebuild on a Raspberry Pi OS - bullseye machine. Because this is new to me, I'll list the steps I followed in an effort to avoid ambiguity: $...
user avatar
  • 2,104
0 votes
0 answers
168 views

I cannot install anything after locking Firefox to avoid installation of snap version in Kubuntu 22.04

I cannot post on the askubuntu stackexchange because 22.04 is still development branch. My problems are: Snap Firefox in that system has some bugs or buggy features (cannot be pinned to panel task ...
user avatar
  • 968
0 votes
0 answers
29 views

dpkg: Ctrl-C in shell for examining conffile conflict

When dpkg encounters conflicts in conffiles, the user may press Z to "start a shell to examine the situation". In this shell however, Ctrl-C seems to be disabled or intercepted, which can ...
user avatar
  • 761
0 votes
1 answer
53 views

Within container dpkg install from deb file fails with license could not be presented

Host running ubuntu 20.04 Docker container base is nvidia's nvcr.io/nvidia/deepstream:6.0.1-triton which should be based on ubuntu 20.04 Trying to install the graph_composer deb file from https://...
user avatar
1 vote
0 answers
25 views

How can I list all installed packages along with their APT origin hostnames (not their origin tags)?

I'm trying to limit the risk in using third-party APT repositories. The scenario I'm trying to protect against is a malicious package being introduced into a third-party repo with a newer version than ...
user avatar
  • 394
-1 votes
1 answer
24 views

How to know the destination directory before installing a package? [duplicate]

I want to install a large multi GiB package, (mostly just a load of optional data used by another package.) but I need to know what directories it will use before installing so that I can mount ...
user avatar
  • 190
0 votes
0 answers
18 views

How do I change this script so that it can be used in RHEL? [duplicate]

This script works in Ubuntu, but I need to do the same thing in RHEL. Can anyone help me with how to do this please? What can I use instead of dpkg --compare-versions? Thanks. if [[ $(dpkg --compare-...
user avatar
  • 1
0 votes
1 answer
167 views

update-initramfs does not fully create initrd for new kernel

I seem to be having a bizarre problem installing a new custom kernel. update-initramfs fails during dpkg -i with: update-initramfs: Generating /boot/initrd.img-5.15.7-hardened1-test1 find: ‘/tmp/user/...
user avatar
  • 43
0 votes
1 answer
26 views

Run dpkg so that it installs dependent packages

I have downloaded a .deb file but when I install it, it complains that a bunch of packages are not installed. I am using a very bare bones focal Docker image. dpkg: dependency problems prevent ...
user avatar
1 vote
0 answers
25 views

Cant install Selinux policy

I am trying to install selinux on my librem14 pureos machine, every time I run sudo apt-get install selinux-policy-default I get: dpkg: error processing package selinux-policy-default (--configure): ...
user avatar
  • 11
0 votes
1 answer
67 views

Automatically select yes in "dpkg-reconfigure unattended-upgrades"

How can I avoid the dialog when I run dpkg-reconfigure unattended-upgrades? I want to select Yes automatically.
user avatar
  • 50.7k
6 votes
2 answers
190 views

Is `dpkg --contents` unable to handle SIGPIPE?

I noticed a weird antipattern in some CI scripts I've taken over, which basically boils down to this code checking whether a particular file is present in a package: dpkg --contents some.deb > ...
user avatar
  • 46.9k
0 votes
1 answer
24 views

fpm .deb package docker dependencies

I created a simple .deb package with fpm. The package is very basic and it simply runs a docker-compose file (see my other question here for package description). I tried to specify that the package ...
user avatar
  • 255
0 votes
1 answer
25 views

run .deb package created by fpm

I created a .deb package with fpm. The package is very simple as it simply runs a docker-compose over this docker-compose.yml file. The package is composed of 3 files: . ├── diagnosticator ├── ...
user avatar
  • 255
0 votes
2 answers
108 views

Does reinstalling package also reinstall dependencies?

If package A depends on package B, if I reinstall package B, what would happen to A? Will it be forever removed? Will it be removed, and then reinstalled? Will it simply be ignored by the package ...
user avatar
  • 4,407
0 votes
1 answer
45 views

dpkg-shlibdeps do not give version information

I am creating a package that depends on the ROS package ros-noetic-moveit-core. More specifically, it contains a shared library linking against libmoveit_robot_model.so. libmoveit_robot_model.so is i ...
user avatar
  • 177
0 votes
1 answer
803 views

Please help! Sub-process /usr/bin/dpkg returned an error code (1) Installing MySQL on Ubuntu

I'm trying to install mysql with Ubuntu and I've spent the last 3 days purging MySQL and redownloading to no avail. Most of the solutions I found didn't work for me, and they are all some variation of ...
user avatar
0 votes
1 answer
85 views

How to remove Debian packages which does not belong to current Debian version repository

I try to cleanup a Debian system on which several packages are installed after multiple Debian upgrades, which belongs to different Debian versions. I.e. on a Debian Bullseye system, there are: ...
user avatar
  • 3
0 votes
0 answers
15 views

apt source clang-format and it doesn't download source

Scenario: I have an old ubuntu xenial and I want to create last clang-format(13) package on xenial. But I have some incompatiable version of debhelper of jammy and xenial. Do you have any solutoion?
user avatar
  • 10.2k
1 vote
1 answer
87 views

Missing files after installing package on NGINX Docker image

I'm installing the fcgiwrap package on the nginx Docker image (based on Debian Bullseye), and some files seem to be missing. This is probably something obvious, but I can't find an explanation, here ...
user avatar
1 vote
1 answer
157 views

Does dpkg-buildpackage offer control over its output?

I could not find no verbosity, quiet, silent, etc flags for dpkg-buildpackage. For instance, it prints [info] messages I am interested in, but also prints what is going on within all its rules file ...
user avatar
  • 298
-2 votes
3 answers
4k views

Kali Linux - dpkg error while upgrading system. Error processing package powershell-empire (--configure):

I was upgrading my Kali Linux VPS using standard sudo apt update and later sudo apt upgrade commands while I encountered an error: Sub-process /usr/bin/dpkg returned an error code (1). I'm quite fresh ...
user avatar
2 votes
0 answers
91 views

Duplicate file trigger interest doesn't have duplicates

Before it gets flagged as duplicate I am aware of dpkg: error: duplicate file trigger interest for filename `/usr/lib/gio/modules' and package `libglib2.0-0'. I checked the solution in the ...
user avatar
5 votes
1 answer
168 views

How to get the build procedure for a Debian package?

I want to build a version of some software that is more recent than the one that is currently available as a stable release Debian package. To do this, however, other than using a more recent version ...
user avatar
  • 12.8k
0 votes
0 answers
126 views

dpkg: error processing /var/cache/apt/archives/python3-distutils_3.9.9-2_all.deb: error creating hard link './usr/lib/python3.9/distutils/README'

I want to install python3-distutils on my Kali Linux. But when I type the command sudo apt install python3-distutils, it gives the following error: dpkg: error processing archive /var/cache/apt/...
user avatar
0 votes
1 answer
75 views

Package size differs between dpkg-query and apt-cahce

I was trying to get a package size installed on my Ubuntu-VM and so I tried 2 different commands: dpkg-query and apt-cache. I did that for 2 packages I previously installed: git and terminator: For ...
user avatar
0 votes
0 answers
74 views

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem

When I try user 'dpkg --configure -a' it just closes my container ubuntu. How can I fix it? E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. root@<...
user avatar
0 votes
1 answer
1k views

Resolve generated breaks, this may be caused by held packages

I have tried (what a fool!) to install a newer version of glibc on Debian Stretch using dpkg and armhf .pkg files. After a candid sudo dpkg -i libc6_2.28-10_armhf.deb sudo dpkg -i libssl1.1_1.1.1d-0+...
user avatar
  • 237
0 votes
0 answers
18 views

Zentyal upgrade hangs on setting up zentyal-network (6.1.1)

I have an older Zentyal installation that hangs on an update. After running apt upgrade it tries to configure zentyal-network. But this hangs infinitely long. After aborting and restarting new upgrade ...
user avatar
2 votes
1 answer
248 views

Why sudo apt install /path/*.deb produces permisson denied whereas sudo dpkg -i /path/*.deb works fine?

I was wondering for a long time why sudo apt fails to install local deb from some folders with error: Failed to fetch a file... Permission denied Recently I've tried sudo dpkg -i same path and it ...
user avatar
0 votes
3 answers
76 views

Apt installs fine whereas directly using dpkg fails

Web search found links of dpkg failing when using apt. This What is the difference between apt-get and dpkg? accepted answer says: apt-get makes use of dpkg to do the actual package installations. I ...
user avatar
0 votes
0 answers
44 views

In ubuntu, when i install some libraries such as autoconf for petalinux cross-compile, following errors appear. how it fix?

i want to compile xilinx project by using petalinux cross-compiler in ubuntu. so, i tried to download and install all needed libraries by using apt download, apt-rdepends and dpkg. download was ...
user avatar
-1 votes
1 answer
235 views

nvida drivers disapeared during night (poweroff/poweron) DKMS cannot be rebuild

my setup inxi -SMG System: Host: zaphod Kernel: 5.14.0-1-amd64 x86_64 bits: 64 Desktop: Xfce 4.16.0 Distro: Debian GNU/Linux bookworm/sid Machine: Type: Laptop System: ASUSTeK product: G750JX ...
user avatar
  • 1,136
0 votes
0 answers
210 views

cannot install or update anything without errors (pop-os)

trying to do a normal update and after running sudo apt-get upgrade i get this Reading package lists... Done Building dependency tree Reading state information... Done You might want to run '...
user avatar
0 votes
0 answers
101 views

apt-get upgrade returns with error "Sub-process /usr/bin/dpkg returned an error code (1)"

I did an upgrade from 14.04 to 15.06 (vivid) but now I get an error everytime trying to sudo apt-get upgrade. Is there any way to fix them? Running sudo dpkg --configure -a didn't fix the problem. ...
user avatar
  • 111
0 votes
1 answer
3k views

zst compression not supported by apt/dpkg

I'm running Debian, namely: # uname -A Linux martlins2 5.10.0-8-amd64 #1 SMP Debian 5.10.46-4 (2021-08-03) x86_64 GNU/Linux and for some time I see some errors telling that some parts of some ...
user avatar
3 votes
1 answer
74 views

building Debian package without associated packages that are bundled together

When I am building a debian package, often many related packages that are bundled together are being build, and also the foo-dbgsym-* versions and foo-doc packages. For example, even relatively simple ...
user avatar
0 votes
1 answer
62 views

dpkg-deb treats my architeceture as amd64 instead of x86)64

I just created a simple .deb package (using this tutorial). This is my control file: Package: bla Version: 1.0 Architecture: x86_64 Maintainer: bla Description: bla The Architecture I got from uname -...
user avatar
1 vote
1 answer
62 views

Remove all traces of D-Bus when running Mousepad in Debian

I am trying to rebuild Debian package mousepad without D-Bus on Debian 10. First, I try building the package without any change. apt-get source mousepad cd mousepad-0.4.1 dpkg-buildpackage --build=...
user avatar
-2 votes
1 answer
74 views

Should I care about main, restricted, multiverse universe?

I'm currently learning about dpkg and apt, and I can see that the repository of e.g. ubuntu is structured in the following manner: Under the dists directory, we have a list of dists-suites such as ...
user avatar
  • 264
1 vote
1 answer
114 views

Debian Package Manager broken

I am an Elementary OS (Ubuntu) user, for a while now when I try to install something (sudo apt-get install [...]) I get the Unmet dependencies error, I type sudo apt --fix-broken install and I got ...
user avatar
0 votes
1 answer
134 views

Many package managers - .deb on RedHat/CentOs

(relatively new to Linux distros) What forbids me from installing a .deb package (using apt or dpkg) on Redhat/CentOS? Or a .rpm package in Debian/Ubuntu? I understand Debian/Ubuntu based systems use ...
user avatar
0 votes
1 answer
179 views

Unable to reinstall packages in Ubuntu

On executing the command sudo dpkg -C I got the following results - The following packages are in a mess due to serious problems during installation. They must be reinstalled for them (and any ...
user avatar
0 votes
0 answers
51 views

dpkg fails with files list file for package 'linux-image-4.13.0-37-generic' is missing final newline, despite replacing the file?

I get this message whenever I attempt to install any piece of software, despite replacing all the files that might be associated with the image file mentioned: dpkg: unrecoverable fatal error, ...
user avatar
  • 203
0 votes
1 answer
1k views

Manually remove package which can't be removed with apt/dpkg

I have a PC with WSL2/Ubuntu 20.04. I recently tried installing a package on it (the Dell srvadmin package). The installation fell over half way through as WSL2 doesn't have systemd on it. This has ...
user avatar
  • 215
2 votes
1 answer
998 views

apt broken after trying to update and install without internet

On a debian buster machine without internet access, most of apt command (like apt install/remove/autoremove) show the following error : The following packages have unmet dependencies: systemd : ...
user avatar
  • 23

1
2 3 4 5
15